Subject: Re: bug#71638: 30.0.50; Compilation warnings

From: Rudolf Adamkovič <[email-masked]>
Date: Thu, 20 Jun 2024 15:24:19 +0200

Eli Zaretskii <[email-masked]> writes:

> Thanks, I tried to fix that now on master.

All warnings are gone *except* this one:

xwidget.c:492:17: warning: variable 'f' set but not used
  struct frame *f = NULL;
                ^

Also, CC'in Po Lu, as after his 'cebca072c33', I *cannot build*:

  CC       nsxwidget.o
nsfns.m:1320:3: error: use of undeclared identifier 'image_cache_refcount'
  image_cache_refcount =
  ^
nsfns.m:3025:3: error: use of undeclared identifier 'image_cache_refcount'
  image_cache_refcount =
  ^
2 errors generated.

> In the future, please try to fix this on your system, because that's
> the best place to make sure the changes indeed eliminate the warnings.

Honestly, I did not want to risk wasting more of your time that way.

Rudy
-- 
"Logic is a science of the necessary laws of thought, without which no
employment of the understanding and the reason takes place."
--- Immanuel Kant, 1785

Rudolf Adamkovič <[email-masked]> [he/him]
http://adamkovic.org